/*
 * @Author: 吴文洁
 * @Date: 2020-08-20 14:51:18
 * @LastEditors: 吴文洁
 * @LastEditTime: 2020-08-20 14:51:19
 * @Description: 
 * @Copyright: 杭州杰竞科技有限公司 版权所有
 */
const dealTimeDuration = (time) => {
  const diff = Math.floor(time % 3600);
  let hours = Math.floor(time / 3600);
  let mins = Math.floor(diff / 60);
  let seconds = Math.floor(time % 60);
  hours = hours < 10 ? "0" + hours : hours;
  mins = mins < 10 ? "0" + mins : mins;
  seconds = seconds < 10 ? "0" + seconds : seconds;
  return hours + ":" + mins + ":" + seconds;
};

export default dealTimeDuration;